Bug 2491 - [NEW PACKAGE] b43-firmware
: [NEW PACKAGE] b43-firmware
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 11:37 MSD by Andrew Lukoshko
Modified: 2013-08-19 14:46 MSD (History)
3 users (show)

See Also:
RPM Package: b43-firmware
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
report2.odt (883.03 KB, application/vnd.oasis.opendocument.text)
2013-08-16 12:09 MSD, Postnikov Dmitry
Details
b43-firmware-dmesg-BEFOR.txt (60.63 KB, text/plain)
2013-08-16 13:57 MSD, Postnikov Dmitry
Details
b43-firmware-dmesg-AFTER.txt (62.12 KB, text/plain)
2013-08-16 13:57 MSD, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-08-14 11:37:01 MSD
New package b43-firmware includes firmware files for Broadcom Wi-Fi chips.
Due to licensing rectrictions it can only be placed in "restricted" repo I believe.

This firmware version can be extracted from the GPL tarball for the ASUS
GPL code for the RT-AC66U 802.11ac Dual-Band Wireless-AC1750 Gigabit Router
http://dlcdnet.asus.com/pub/ASUS/wireless/RT-AC66U/GPL_RT_AC66U_3004372.zip

https://abf.rosalinux.ru/build_lists/1203533
https://abf.rosalinux.ru/build_lists/1203534
Comment 1 Andrew Lukoshko 2013-08-14 11:39:59 MSD
New package b43-firmware includes firmware files for Broadcom Wi-Fi chips.
Due to licensing rectrictions it can only be placed in "restricted" repo I believe.

This firmware version can be extracted from the GPL tarball for the ASUS
GPL code for the RT-AC66U 802.11ac Dual-Band Wireless-AC1750 Gigabit Router
http://dlcdnet.asus.com/pub/ASUS/wireless/RT-AC66U/GPL_RT_AC66U_3004372.zip

https://abf.rosalinux.ru/build_lists/1203533
https://abf.rosalinux.ru/build_lists/1203534
Comment 2 Alexander Burmashev 2013-08-14 11:48:58 MSD
Advisory:
New package b43-firmware includes firmware files for Broadcom Wi-Fi chips.
Due to licensing rectrictions it can only be placed in "restricted" repo I believe. This firmware version can be extracted from the GPL tarball for the ASUS
GPL code for the RT-AC66U 802.11ac Dual-Band Wireless-AC1750 Gigabit Router
http://dlcdnet.asus.com/pub/ASUS/wireless/RT-AC66U/GPL_RT_AC66U_3004372.zip

Buildlists:
https://abf.rosalinux.ru/build_lists/1203533
https://abf.rosalinux.ru/build_lists/1203534
Comment 3 Vladimir Potapov 2013-08-14 18:02:40 MSD
The package route to extended testing.
Comment 4 Postnikov Dmitry 2013-08-16 12:09:03 MSD
Created attachment 1774 [details]
report2.odt

***********************
Extended testing report
***********************
Attached report
Comment 5 Andrew Lukoshko 2013-08-16 12:51:14 MSD
1) Please post kernel logs (dmesg output) for BCM4311 with both (b43 and wl) drivers.
2) BTW, b43-fwcutter IS NOT a driver, it doesn't change anything.
3) Why do you install b43-firmware-install package? It downloads firmware from web and replaces files from b43-firmware package. You should not do that.
Comment 6 Alexander Burmashev 2013-08-16 13:26:36 MSD
Should new b43-firmware obsolete old b43-firmware-install ?
Comment 7 Andrew Lukoshko 2013-08-16 13:31:19 MSD
Maybe, but b43-firmware is restricted package.
"Conflicts" will be better choise I believe.
Comment 8 Postnikov Dmitry 2013-08-16 13:57:21 MSD
Created attachment 1775 [details]
b43-firmware-dmesg-BEFOR.txt
Comment 9 Postnikov Dmitry 2013-08-16 13:57:36 MSD
Created attachment 1776 [details]
b43-firmware-dmesg-AFTER.txt
Comment 10 Postnikov Dmitry 2013-08-16 13:58:25 MSD
Get it to work on BCM4311. Apparently tester something is not done correctly.
Comment 11 Andrew Lukoshko 2013-08-16 14:01:51 MSD
That's why I asked for logs.
Device MUST work correctly after installing b43-firmware package.

And after installing latest broadcom-wl package (release 12) BCM4311 MUST still use b43 module.
Comment 12 Postnikov Dmitry 2013-08-16 14:32:47 MSD
(In reply to comment #11)
> That's why I asked for logs.
> Device MUST work correctly after installing b43-firmware package.
> 
> And after installing latest broadcom-wl package (release 12) BCM4311 MUST
> still use b43 module.

Yes, all works, now try to install broadcom-wl...
Comment 13 Vladimir Potapov 2013-08-19 14:19:56 MSD
b43-firmware-784.2-1-rosa2012.1
******************** Advisory ********************
New package b43-firmware includes firmware files for Broadcom Wi-Fi chips.
Due to licensing rectrictions it can only be placed in "restricted" repo I believe. This firmware version can be extracted from the GPL tarball for the ASUS
GPL code for the RT-AC66U 802.11ac Dual-Band Wireless-AC1750 Gigabit Router
*************************************************
QA Verified